---
id: introduction
title: Introduction
---

Building bots is something new and sounds like a fun challenge for most developers. To be able to create software that converses in a natural way with humans is an exciting new reality. The problem is that you don’t want to spend hundreds of hours learning and putting together all the infrastructure and boilerplate code required to get a basic conversational backend up and running.

## What is Botpress

> Botpress is a **lightweight**, **fast** and **flexible** on-premise bot building platform.

It is a complete platform that ships with all the tools you need to build, deploy and manage production-grade bots in record time. Here are some of the components that are installed by default:

- An NLU Engine
- An administration dashboard
- A visual flow editor
- A chat emulator / debugger
- Support for multiple messaging channels

### Why Botpress

Botpress has many advantages over other platforms and frameworks:

- It runs **fully on-prem**, so you have full control over the data that comes in and out
- The core of the Botpress platform is **open-source**
- Extremely **flexible** and developer-friendly
- **Zero** external dependencies

## How to build a bot

There are three main steps involved in creating bots.

Developers start by **Building** the bot, which consists of adding the necessary messaging channels, coding the necessary backend integrations your bot will need to interact with and creating the main dialog flows.

Once done, you'll need to **Deploy** the bot somewhere, which could be on the cloud or your own infrastructure.

Finally, you'll give access to the bot to more people so they can **Manage** the bot post-deployment. Managing a bot entails analyzing the conversations, refining the conversational experience by building new flows and to make it smarter by continuously improving the NLU.
